/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "done.h"


Done::Done()
{
}


Done::Done(Code c) : code(c)
{
}


Done & Done::operator=(Code c)
{
	code = c;
	
return *this;
}


bool Done::operator==(Code c) const
{
	return code == c;	
}



bool Done::operator!=(Code c) const
{
	return code != c;	
}


Done::operator int()
{
	return static_cast<int>( code );	
}
