/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucorefunctionparser
#define headerfilecmslucorefunctionparser

#include "requesttypes.h"


class FunctionParser
{
	GetTable::size_type get_index;
	GetTable::size_type get_table_len;
	
	void SkipEmptyString(const char * msg);
	
	void ParseDirectories();
	void ParseItem();
	bool IsAppFunction();
	void ParseFunction();
	void ParseParams();

public:


	void Parse();


};


#endif
